%define oname   vkQuake

Name:           vkquake
Version:        1.32.1
Release:        %mkrel 3
Summary:        Quake is an Vulkan enhanced client for id Software's Quake
Group:          Games/Shooter
License:        GPLv2+
URL:            https://github.com/Novum/vkQuake/
Source0:        https://github.com/Novum/vkQuake/archive/%{version}/%{oname}-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  spirv-tools
BuildRequires:  cmake(glslang)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(opusfile)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SPIRV-Tools)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(vulkan)

Provides:       %{oname} = %{version}-%{release}

%description
vkQuake is a port of id Software's Quake using Vulkan
instead of OpenGL for rendering.
It is based on the popular QuakeSpasm and QuakeSpasm-Spiked
ports and runs all mods compatible with QuakeSpasm like
Arcane Dimensions.

-- You need PAK files for Quake to run this game --

Install the PAK files in ~/.vkquake/id1/ or, alternatively for a
system-wide installation, in %{_gamesdatadir}/%{oname}/id1/.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%meson
%meson_build

%install
%meson_install

# Create wrapper scripts
mkdir -p %{buildroot}%{_gamesbindir}

cat << EOF > %{oname}.sh
#!/bin/sh
%{_gamesbindir}/vkquake -basedir %{_gamesdatadir}/%{oname} \$*
exit 0
EOF
install -m755 %{oname}.sh %{buildroot}%{_gamesbindir}/%{oname}
install -m755 build/vkquake %{buildroot}%{_gamesbindir}/vkquake

# Menu
install -m644 Misc/vkQuake_256.png -D %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{oname}.png
install -m644 Quake/vkquake.pak -D %{buildroot}%{_gamesdatadir}/%{oname}/id1/vkquake.pak

mkdir -p %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{oname}.desktop
[Desktop Entry]
Name=VKQuake
Comment=Quake is an enhanced client for id Software's Quake on Vulkan
Exec=%{oname}
Icon=%{oname}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;Shooter;
EOF

%files
%doc readme.md
%{_gamesbindir}/%{oname}
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{oname}/
%{_datadir}/applications/%{oname}.desktop
%{_iconsdir}/hicolor/*/apps/%{oname}.png


%changelog
* Sat Jul 19 2025 daviddavid <daviddavid> 1.32.1-3.mga10
+ Revision: 2257285
- rebuild for new flac 1.5.0

* Mon Jul 07 2025 umeabot <umeabot> 1.32.1-2.mga10
+ Revision: 2250188
- Mageia 10 Mass Rebuild

* Fri Mar 28 2025 daviddavid <daviddavid> 1.32.1-1.mga10
+ Revision: 2170505
- initial package vkquake (thanks to Xavier Bertaux)

